﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CustomerSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BlankPage1 : Page
    {
        public BlankPage1()
        {
            this.InitializeComponent();            
        }      

        private void CategoryAxis_ActualRangeChanged(object sender, Syncfusion.UI.Xaml.Charts.ActualRangeChangedEventArgs e)
        {
            //Changing the actual maximum value to provide space in right end.
            e.ActualMaximum = Convert. ToDouble(e.ActualMaximum) + 2;                
        }
    }

    public class model
    {
        public double No_Of_Items { get; set; }

        public string Brand { get; set; }

    }
    public class viewmodel
    {
        public viewmodel()
        {
            SneakersDetail = new ObservableCollection<model>();

            SneakersDetail.Add(new model() { Brand = "Adidas", No_Of_Items = 25 });
            SneakersDetail.Add(new model() { Brand = "Nike", No_Of_Items = 17 });
            SneakersDetail.Add(new model() { Brand = "Reebok", No_Of_Items = 30 });
            SneakersDetail.Add(new model() { Brand = "Fila", No_Of_Items = 18 });
            SneakersDetail.Add(new model() { Brand = "Puma", No_Of_Items = 10 });
          
        }

        public ObservableCollection<model> SneakersDetail { get; set; }      
    }

}
